/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2007 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQDB_API_H
#define AQDB_API_H




#ifdef BUILDING_AQDATABASE
# /* building AqDataBase */
# if AQDB_SYS_IS_WINDOWS
#   /* for windows */
#   ifdef __declspec
#     define AQDB_API __declspec (dllexport)
#   else /* if __declspec */
#     define AQDB_API
#   endif /* if NOT __declspec */
# else
#   /* for non-win32 */
#   ifdef GCC_WITH_VISIBILITY_ATTRIBUTE
#     define AQDB_API __attribute__((visibility("default")))
#   else
#     define AQDB_API
#   endif
# endif
#else
# /* not building AqFinance */
# if AQDB_SYS_IS_WINDOWS
#   /* for windows */
#   ifdef __declspec
#     define AQDB_API __declspec (dllimport)
#   else /* if __declspec */
#     define AQDB_API
#   endif /* if NOT __declspec */
# else
#   /* for non-win32 */
#   define AQDB_API
# endif
#endif

#ifdef GCC_WITH_VISIBILITY_ATTRIBUTE
# define AQDB_EXPORT __attribute__((visibility("default")))
# define AQDB_NOEXPORT __attribute__((visibility("hidden")))
#else
# define AQDB_EXPORT
# define AQDB_NOEXPORT
#endif




#endif

