/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2007 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/



#ifndef AQDB_COLUMN_H
#define AQDB_COLUMN_H


#include <aqdatabase/aqdb.h>

#include <gwenhywfar/list1.h>
#include <gwenhywfar/db.h>


typedef struct AQDB_COLUMN AQDB_COLUMN;
GWEN_LIST_FUNCTION_LIB_DEFS(AQDB_COLUMN, AQDB_Column, AQDB_API)


AQDB_API
AQDB_COLUMN *AQDB_Column_new(AQDB_DATA_TYPE t,
			     const char *name,
			     int maxLen);

AQDB_API
AQDB_COLUMN *AQDB_Column_dup(const AQDB_COLUMN *origColumn);

AQDB_API
void AQDB_Column_free(AQDB_COLUMN *column);

AQDB_API
AQDB_COLUMN *AQDB_Column_fromDb(GWEN_DB_NODE *db);

AQDB_API
void AQDB_Column_toDb(const AQDB_COLUMN *column, GWEN_DB_NODE *db);


AQDB_API
AQDB_DATA_TYPE AQDB_Column_GetType(const AQDB_COLUMN *column);

AQDB_API
const char *AQDB_Column_GetName(const AQDB_COLUMN *column);

AQDB_API
int AQDB_Column_GetMaxLen(const AQDB_COLUMN *column);

AQDB_API
int AQDB_Column_GetIsMutable(const AQDB_COLUMN *column);

AQDB_API
void AQDB_Column_SetIsMutable(AQDB_COLUMN *column, int b);

AQDB_API
AQDB_COLUMN_LIST *AQDB_Column_List_dup(const AQDB_COLUMN_LIST *l);

#endif

