/****************************************************************************
 * This file is part of the project AqFinance.
 * AqFinance (c) by 2009 Martin Preuss, all rights reserved.
 *
 * The license for this file can be found in the file COPYING which you
 * should have received along with this file.
 ****************************************************************************/


#ifndef AQDB_SESSIONDESCR_H
#define AQDB_SESSIONDESCR_H


#include <aqdatabase/aqdb.h>

#include <gwenhywfar/list1.h>
#include <gwenhywfar/list2.h>

#ifdef __cplusplus
extern "C" {
#endif


typedef struct AQDB_SESSION_DESCR AQDB_SESSION_DESCR;
GWEN_LIST_FUNCTION_LIB_DEFS(AQDB_SESSION_DESCR, AQDB_SessionDescr, AQDB_API)
GWEN_LIST2_FUNCTION_LIB_DEFS(AQDB_SESSION_DESCR, AQDB_SessionDescr, AQDB_API)

#include <aqdatabase/aqdb_db.h>
#include <aqdatabase/aqdb_object.h>

#include <gwenhywfar/gwentime.h>


AQDB_API AQDB_SESSION_DESCR *AQDB_SessionDescr_new();
AQDB_API void AQDB_SessionDescr_free(AQDB_SESSION_DESCR *sd);

AQDB_API AQDB_ID AQDB_SessionDescr_GetSessionId(const AQDB_SESSION_DESCR *sd);
AQDB_API void AQDB_SessionDescr_SetSessionId(AQDB_SESSION_DESCR *sd, AQDB_ID id);

AQDB_API const char *AQDB_SessionDescr_GetUserName(const AQDB_SESSION_DESCR *sd);
AQDB_API void AQDB_SessionDescr_SetUserName(AQDB_SESSION_DESCR *sd, const char *s);

AQDB_API const GWEN_TIME *AQDB_SessionDescr_GetDateTime(const AQDB_SESSION_DESCR *sd);
AQDB_API void AQDB_SessionDescr_SetDateTime(AQDB_SESSION_DESCR *sd, const GWEN_TIME *t);

AQDB_API uint64_t AQDB_SessionDescr_GetAdditions(const AQDB_SESSION_DESCR *sd);
AQDB_API void AQDB_SessionDescr_SetAdditions(AQDB_SESSION_DESCR *sd, uint64_t v);

AQDB_API uint64_t AQDB_SessionDescr_GetDeletions(const AQDB_SESSION_DESCR *sd);
AQDB_API void AQDB_SessionDescr_SetDeletions(AQDB_SESSION_DESCR *sd, uint64_t v);

AQDB_API uint64_t AQDB_SessionDescr_GetModifications(const AQDB_SESSION_DESCR *sd);
AQDB_API void AQDB_SessionDescr_SetModifications(AQDB_SESSION_DESCR *sd, uint64_t v);


AQDB_API int AQDB_SessionDescr_fromObject(AQDB_OBJECT *o, AQDB_SESSION_DESCR **pSd);
AQDB_API int AQDB_SessionDescr_toObject(const AQDB_SESSION_DESCR *sd, AQDB_OBJECT *o);
AQDB_API int AQDB_SessionDescr_CreateObject(AQDB_DB *db, AQDB_ID tableId, AQDB_ID id, AQDB_OBJECT **pObj);


#ifdef __cplusplus
}
#endif


#endif



